Issue1671

classification
Title: Bootstrapping class not in Py.BOOTSTRAP_TYPES
Type: behaviour Severity: normal
Components: Core Versions: 2.5.2b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: otmarhumbel, public.marvin, sergei175
Priority: Keywords:

Created on 2010-11-01.03:50:02 by sergei175, last changed 2010-11-09.22:57:01 by otmarhumbel.

Files
File name Uploaded Description Edit Remove
FooTest.java public.marvin, 2010-11-09.17:44:16
1671-patch.txt otmarhumbel, 2010-11-09.22:54:45 the fix
Messages
msg6214 (view) Author: Sergei (sergei175) Date: 2010-11-01.03:50:00
Jython interpreter complains:

 > Bootstrapping class not in Py.BOOTSTRAP_TYPES

 for applications incorporating jython interpreter, such as 
 http://linux.wareseeker.com/Programming/jyconsole-1.3.zip/329101

 (replace old jython with new from 2.5.2r2)

 this started to show up in jython 2.5.2b1 and still same
 warning is in jython 2.5.2r2

 Was tested using java 16.22 on ubuntu 10.10
msg6220 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-11-02.20:17:48
Sorry, was not able to download the .jar, even after registering as a new artenum user.
If you mail it to me directly, I would try to reproduce this.
(ohumbel /a/t/ yahoo.com)
msg6237 (view) Author: marvin greenberg (public.marvin) Date: 2010-11-09.17:44:16
Here's a simple file that demonstrates the problem, just compile it and run it.  I suspect that this will fix it,

--- src/org/python/core/Py.java.orig	2010-11-09 10:12:23.000000000 -0500
+++ src/org/python/core/Py.java	2010-11-09 08:33:15.000000000 -0500
@@ -94,6 +94,7 @@
         BOOTSTRAP_TYPES.add(PyType.class);
         BOOTSTRAP_TYPES.add(PyBuiltinCallable.class);
         BOOTSTRAP_TYPES.add(PyDataDescr.class);
+        BOOTSTRAP_TYPES.add(PyStringMap.class);
     }
 
     /** A unique object to indicate no conversion is possible

but I couldn't get the existing jython build.xml to build a jar even after chasing down dependencies for an hour.
msg6239 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-11-09.21:15:05
Marvin,

thanks for showing how simple it is to reproduce!
I am testing out the fix
msg6240 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-11-09.22:21:21
Unfortunately the fix is not so simple.
PyStringMap is not bootstrapped in any case, so adding it to BOOTSTRAP_TYPES produces a symmetric warning.
My strategy is to lazily add it if necessary.
msg6241 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-11-09.22:54:45
The workspace diff in 1671-patch.txt fixes the issue and passes all regrtests
msg6242 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-11-09.22:57:01
fixed in revision 7170
History
Date User Action Args
2010-11-09 22:57:01otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg6242
2010-11-09 22:54:46otmarhumbelsetfiles: + 1671-patch.txt
messages: + msg6241
2010-11-09 22:21:21otmarhumbelsetmessages: + msg6240
2010-11-09 21:15:05otmarhumbelsetassignee: otmarhumbel
messages: + msg6239
2010-11-09 17:44:17public.marvinsetfiles: + FooTest.java
nosy: + public.marvin
messages: + msg6237
2010-11-02 20:17:49otmarhumbelsetnosy: + otmarhumbel
messages: + msg6220
2010-11-01 03:50:02sergei175create